org.apache.struts2.config_browser

## Class ShowBeansAction

- java.lang.Object
- - com.opensymphony.xwork2.ActionSupport
  - - org.apache.struts2.config_browser.ActionNamesAction
    - - org.apache.struts2.config_browser.ShowBeansAction

- All Implemented Interfaces:
    Action, ValidationAware, LocaleProvider, TextProvider, Validateable, Serializable

      public class ShowBeansAction
      extends ActionNamesAction

  Shows the beans loaded by the internal Guice container. Only shows beans that are recognized by Struts as official plugin extension points.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ShowBeansAction.Binding`

  - ### Field Summary

    - ### Fields inherited from class org.apache.struts2.config_browser.ActionNamesAction

      `configHelper`

    - ### Fields inherited from class com.opensymphony.xwork2.ActionSupport

      `container`

    - ### Fields inherited from interface com.opensymphony.xwork2.Action

      `ERROR, INPUT, LOGIN, NONE, SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShowBeansAction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Set<ShowBeansAction.Binding>` | `addBindings(Container container, Class<?> type, String constName)`
    `Map<String,Set<ShowBeansAction.Binding>>` | `getBeans()`
    `void` | `setContainer(Container container)`

    - ### Methods inherited from class org.apache.struts2.config_browser.ActionNamesAction

      `execute, getActionNames, getConfig, getExtension, getNamespace, getNamespaces, index, redirect, setConfigurationHelper, setExtension, setNamespace`

    - ### Methods inherited from class com.opensymphony.xwork2.ActionSupport

      `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, getActionErrors, getActionMessages, getContainer, getFieldErrors, getFormatted, getLocale, getLocaleProvider, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTextProvider, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, isValidLocale, isValidLocaleString, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShowBeansAction

          public ShowBeansAction()

  - ### Method Detail

    - #### setContainer

          public void setContainer(Container container)

      Overrides:
        `setContainer` in class `ActionSupport`

    - #### getBeans

          public Map<String,Set<ShowBeansAction.Binding>> getBeans()

    - #### addBindings

          protected Set<ShowBeansAction.Binding> addBindings(Container container,
                                                             Class<?> type,
                                                             String constName)

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.